Bug 431144 - yum fails with "Error: None "
yum fails with "Error: None "
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
sparcv9 Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-31 18:57 EST by Dennis Gilmore
Modified: 2014-01-21 18:01 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-13 08:20:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
debug output from yum (4.59 KB, application/octet-stream)
2008-01-31 18:57 EST, Dennis Gilmore
no flags Details
debug output using yum-3.2.8 (5.43 KB, application/octet-stream)
2008-01-31 19:06 EST, Dennis Gilmore
no flags Details
proposed patch to fix the problem on yum-3.2.10/RHEL5.1 (606 bytes, patch)
2008-02-01 01:22 EST, Fajar A. Nugraha
no flags Details | Diff

  None (edit)
Description Dennis Gilmore 2008-01-31 18:57:15 EST
Description of problem:
with 
rpm-4.4.2-32.sparc
python-2.4.3-18.al3
yum-3.2.10-3.al3
yum-metadata-parser-1.1.2-7.al3
sqlite-3.3.6-2

tying to install a package that pulls in filelists make yum finish with "Error:
None"  if instaling something without filelists it is ok.

using yum-3.2.8-2 is ok 


atatched is the log of yum -d9  install httpd

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dennis Gilmore 2008-01-31 18:57:15 EST
Created attachment 293668 [details]
debug output from yum
Comment 2 Dennis Gilmore 2008-01-31 19:06:15 EST
Created attachment 293670 [details]
debug output using yum-3.2.8
Comment 3 Fajar A. Nugraha 2008-01-31 23:43:13 EST
Had a similar error result, yum fails with "Error: None ", when running 
"yum install -d 9 --installroot=/root/testroot anaconda-runtime"

After editing sqlutils.py, I as able to display the query which might cause
problem. Last lines of output :

---> Package libxml2-python.x86_64 0:2.6.26-2.1.2.1 set to be updated
Checking deps for libxml2-python.x86_64 0-2.6.26-2.1.2.1 - u
looking for ('libc.so.6(GLIBC_2.2.5)(64bit)', None, (None, None, None)) as a
requirement of libxml2-python.x86_64 0-2.6.26-2.1.2.1 - u
looking for ('/usr/lib64/python2.4', None, (None, None, None)) as a requirement
of libxml2-python.x86_64 0-2.6.26-2.1.2.1 - u
select * from provides where name=%(param1)s
{'param1': '/usr/lib64/python2.4'}
select pkgKey from filelist where dirname = /usr/lib64 and length(filetypes) = 1
and dirname || %(param1)s || filenames = %(param2)s
{'param2': '/usr/lib64/python2.4', 'param1': '/'}
Error: None

System used:
RHEL 5.1-x86_64
rpm-4.4.2-47.el5
python-2.4.3-19.el5
yum-3.2.10-1
sqlite-3.3.6-2
Comment 4 Seth Vidal 2008-01-31 23:53:32 EST
okay, I think I know why I can't duplicate it on f8/rawhide. It's the python
sqlite bindings. something has changed in how they're handling that select. This
helps me figure out where to look.
Comment 5 Fajar A. Nugraha 2008-02-01 01:22:20 EST
Created attachment 293689 [details]
proposed patch to fix the problem on yum-3.2.10/RHEL5.1
Comment 6 seth vidal 2008-02-13 08:20:59 EST
I've applied your patch. It fixes your problem but there appears to be another
related issue, too.

thanks.
Comment 7 Surendhar 2008-11-10 06:16:39 EST
How to fix this issue?

Note You need to log in before you can comment on or make changes to this bug.